import mongoose from 'mongoose'

export interface VoucherDoc extends mongoose.Document {
    name: string,
    code: string,
    target: string,
    start_time: Date,
    end_time: Date,
    save_quantity: number,
    use_quantity: number,
    available_quantity: number,
    type: string,
    value?: number,
    discount_by_range_price?: object,
    max_discount_value: number,
    display_mode: string,
    min_order_value: number,
    shop_id: string,
    products?: Array<any>,
    shops?: Array<any>,
    kol_user: string,
    cash_back_users: Array<any>,
    conditions?: Array<any>,
    approve_status: string,
    classify: string,
    is_public: boolean,
    max_budget: number,
    used_by?: object,
    using_by?: object,
    used_budget?: Number,
    created_at: Date,
    updated_at: Date,
    deleted_at?: Date
}